actions: []
api_documentation: http://docs.ros.org/indigo/api/shared_serial/html
authors: Wouter Caarls <w.caarls@tudelft.nl>
brief: ''
bugtracker: ''
depends:
- catkin
- message_generation
- message_runtime
- roscpp
depends_on:
- threemxl
description: Shared serial port with locking functionality
devel_jobs:
- http://build.ros.org/view/Idev/job/Idev__shared_serial__ubuntu_trusty_amd64
doc_job: http://build.ros.org/view/Idoc/job/Idoc__shared_serial__ubuntu_trusty_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Wouter Caarls <w.caarls@tudelft.nl>
msgs:
- Flush
- Send
- Close
package_type: package
release_jobs:
- http://build.ros.org/view/Isrc_uT/job/Isrc_uT__shared_serial__ubuntu_trusty__source
- http://build.ros.org/view/Ibin_arm_uThf/job/Ibin_arm_uThf__shared_serial__ubuntu_trusty_armhf__binary
- http://build.ros.org/view/Ibin_uT64/job/Ibin_uT64__shared_serial__ubuntu_trusty_amd64__binary
- http://build.ros.org/view/Ibin_uT32/job/Ibin_uT32__shared_serial__ubuntu_trusty_i386__binary
repo_name: shared_serial
repo_url: ''
srvs:
- SendTo
- Recv
- SendRecv
- Connect
timestamp: 1559878846.9902313
url: http://ros.org/wiki/shared_serial
vcs: git
vcs_uri: https://github.com/wcaarls/shared_serial.git
vcs_version: master
